develooper Front page | perl.perl5.porters | Postings from July 2019

[perl #134130] New compilation warnings with gcc 9.1.0

Thread Previous
From:
Hugo van der Sanden via RT
Date:
July 23, 2019 13:01
Subject:
[perl #134130] New compilation warnings with gcc 9.1.0
Message ID:
rt-4.0.24-20865-1563886902-1695.134130-15-0@perl.org
On Thu, 23 May 2019 08:25:25 -0700, hv wrote:
> On Thu, 23 May 2019 02:23:48 -0700, randir wrote:
> > This is a bug report for perl from sergey.aleynikov@gmail.com,
> > generated with the help of perlbug 1.41 running under perl 5.31.0.
> >
> >
> > -----------------------------------------------------------------
> > [Please describe your issue here]
> >
> > I get the following warnings when building perl on Debian with gcc
> > 9.1.0
> >
> > Wformat-overflow:
> >
> > locale.c: In function ‘Perl__is_cur_LC_category_utf8’:
> > locale.c:5087:17: warning: ‘%s’ directive argument is null [-Wformat-
> > overflow=]
> 
> This one definitely looks like a bug, code was added by Karl in
> de3a3072.

This was fixed in 01b91050db552dbb89e4bd2eb6d089ebd0f28c1e.

Hugo

---
via perlbug:  queue: perl5 status: open
https://rt.perl.org/Ticket/Display.html?id=134130

Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About